Bug 1995497 - Review Request: profanity - A console based XMPP client
Summary: Review Request: profanity - A console based XMPP client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1994501
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-19 09:23 UTC by Matthieu Saulnier
Modified: 2021-09-30 00:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-30 00:52:27 UTC
Type: ---
Embargoed:
pemensik: fedora-review+


Attachments (Terms of Use)

Description Matthieu Saulnier 2021-08-19 09:23:24 UTC
Spec URL: https://fantom.fedorapeople.org/profanity.spec
SRPM URL: https://fantom.fedorapeople.org/profanity-0.11.0-1.fc33.src.rpm
Description: Profanity is a console based XMPP client written in C using ncurses
and libstrophe, inspired by Irssi.

Fedora Account System Username: fantom

Comment 1 Matthieu Saulnier 2021-08-19 09:25:37 UTC
Profanity requires libstrophe which is currently in review RHBZ#1994501

Comment 2 Matthieu Saulnier 2021-08-19 09:28:08 UTC
copr build:
rawhide/f34/f33: https://copr.fedorainfracloud.org/coprs/fantom/profanity/build/2529772/

Comment 3 Petr Menšík 2021-08-24 09:37:42 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- ldconfig not called in %post and %postun for Fedora 28 and later.
  Note: /sbin/ldconfig called in profanity-libs
  See: https://fedoraproject.org/wiki/Changes/Removing_ldconfig_scriptlets
  Use %{?ldconfig_scriptlets}
- doc should have versioned dependency


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License v3.0 or
     later", "[generated file]", "FSF Unlimited License (with Retention)
     [generated file]", "FSF Unlimited License [generated file]", "GNU
     General Public License v2.0 or later [generated file]", "MIT License
     [generated file]", "GNU General Public License v2.0 or later", "FSF
     Unlimited License (with Retention) GNU General Public License, Version
     2", "FSF Unlimited License (with Retention)". 209 files have unknown
     license. Detailed output of licensecheck in
     /home/reviewer/fedora/rawhide/1995497-profanity/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     profanity-libs , profanity-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Scriptlets must be sane, if used.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: profanity-0.11.0-1.fc36.x86_64.rpm
          profanity-libs-0.11.0-1.fc36.x86_64.rpm
          profanity-devel-0.11.0-1.fc36.x86_64.rpm
          profanity-doc-0.11.0-1.fc36.noarch.rpm
          profanity-debuginfo-0.11.0-1.fc36.x86_64.rpm
          profanity-debugsource-0.11.0-1.fc36.x86_64.rpm
          profanity-0.11.0-1.fc36.src.rpm
profanity.x86_64: E: explicit-lib-dependency profanity-libs
profanity.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
profanity.x86_64: W: spelling-error %description -l en_US libstrophe -> lib strophe, lib-strophe, apostrophe
profanity-libs.x86_64: W: library-not-linked-against-libc /usr/lib64/libprofanity.so.0.0.0
profanity-devel.x86_64: W: no-documentation
profanity.src: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
profanity.src: W: spelling-error %description -l en_US libstrophe -> lib strophe, lib-strophe, apostrophe
7 packages and 0 specfiles checked; 1 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: profanity-debuginfo-0.11.0-1.fc36.x86_64.rpm
          profanity-libs-debuginfo-0.11.0-1.fc36.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://profanity-im.github.io/profanity-0.11.0.tar.gz :
  CHECKSUM(SHA256) this package     : 3fc9809816f69186dbb860b27183f6cd2aef0a52a7d14e20e4ef6c3a7f0f3606
  CHECKSUM(SHA256) upstream package : 3fc9809816f69186dbb860b27183f6cd2aef0a52a7d14e20e4ef6c3a7f0f3606


Requires
--------
profanity (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcurl.so.4()(64bit)
    libgcrypt.so.20()(64bit)
    libgcrypt.so.20(GCRYPT_1.6)(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgpgme.so.11()(64bit)
    libgpgme.so.11(GPGME_1.0)(64bit)
    libgpgme.so.11(GPGME_1.1)(64bit)
    libm.so.6()(64bit)
    libncursesw.so.6()(64bit)
    libnotify.so.4()(64bit)
    libotr.so.5()(64bit)
    libpython3.10.so.1.0()(64bit)
    libreadline.so.8()(64bit)
    libsignal-protocol-c.so.2()(64bit)
    libsqlite3.so.0()(64bit)
    libstrophe.so.0()(64bit)
    libtinfo.so.6()(64bit)
    profanity-libs
    rtld(GNU_HASH)

profanity-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libcrypt.so.2()(64bit)
    libcurl.so.4()(64bit)
    libgcrypt.so.20()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgpgme.so.11()(64bit)
    libm.so.6()(64bit)
    libncursesw.so.6()(64bit)
    libnotify.so.4()(64bit)
    libotr.so.5()(64bit)
    libpython3.10.so.1.0()(64bit)
    libreadline.so.8()(64bit)
    libsignal-protocol-c.so.2()(64bit)
    libsqlite3.so.0()(64bit)
    libstrophe.so.0()(64bit)
    libtinfo.so.6()(64bit)
    rtld(GNU_HASH)

profanity-devel (rpmlib, GLIBC filtered):
    libprofanity.so.0()(64bit)
    profanity-libs(x86-64)

profanity-doc (rpmlib, GLIBC filtered):
    profanity

profanity-debuginfo (rpmlib, GLIBC filtered):

profanity-debugsource (rpmlib, GLIBC filtered):



Provides
--------
profanity:
    profanity
    profanity(x86-64)

profanity-libs:
    libprofanity.so.0()(64bit)
    profanity-libs
    profanity-libs(x86-64)

profanity-devel:
    profanity-devel
    profanity-devel(x86-64)

profanity-doc:
    profanity-doc

profanity-debuginfo:
    debuginfo(build-id)
    profanity-debuginfo
    profanity-debuginfo(x86-64)

profanity-debugsource:
    profanity-debugsource
    profanity-debugsource(x86-64)



AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: profanity-0.11.0/configure.ac:15


Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1995497 -L /home/reviewer/fedora/rawhide/1994501-libstrophe/lib
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: SugarActivity, Perl, R, Haskell, PHP, Java, Ocaml, Python, fonts
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Built with local dependencies:
    /home/reviewer/fedora/rawhide/1994501-libstrophe/lib/libstrophe-debugsource-0.10.1-3.fc36.x86_64.rpm
    /home/reviewer/fedora/rawhide/1994501-libstrophe/lib/libstrophe-doc-0.10.1-3.fc36.noarch.rpm
    /home/reviewer/fedora/rawhide/1994501-libstrophe/lib/libstrophe-devel-0.10.1-3.fc36.x86_64.rpm
    /home/reviewer/fedora/rawhide/1994501-libstrophe/lib/libstrophe-debuginfo-0.10.1-3.fc36.x86_64.rpm
    /home/reviewer/fedora/rawhide/1994501-libstrophe/lib/libstrophe-0.10.1-3.fc36.x86_64.rpm
    /home/reviewer/fedora/rawhide/1994501-libstrophe/lib/libstrophe-devel-debuginfo-0.10.1-3.fc36.x86_64.rpm

Comment 4 Petr Menšík 2021-08-24 09:42:51 UTC
It seems fine on first glance. Similar issues as in libstrophe.

I am missing libprofanity.so.0 from main package however. Does it build shared library, but do not use it at all? Is there hidden purpose for it I am missing? It seems it is linked to static library instead and shared library is not used.

Comment 5 Petr Menšík 2021-08-24 10:20:29 UTC
It seems to me according to plugins [1] page, profanity-libs are only useful for application plugins. Not for the application itself. Then it should be stated in the package description of libs and devel.

Dependencies should be reversed. libs should depend on profanity and README with license should be in base package. I guess every plugin would not make sense without the application itself, but application without plugins would work just fine.

1. https://profanity-im.github.io/plugins.html

Comment 6 Matthieu Saulnier 2021-08-25 14:48:40 UTC
Hi Petr, thanks for the review.

you are right, the lib is not used by profanity itself. I tried to run the binary file without the shared lib installed, and surprisingly, it works fine.

On the base of that try, and your remarks, I made new release:

Spec URL: https://fantom.fedorapeople.org/profanity.spec
SRPM URL: https://fantom.fedorapeople.org/profanity-0.11.0-2.fc33.src.rpm

copr build:
rawhide/f34/f33: https://copr.fedorainfracloud.org/coprs/fantom/profanity/build/2654965/

Comment 7 Petr Menšík 2021-08-25 18:41:59 UTC
Look great, I think ready to become part of Fedora project.

Granting review+, all issues I found before are fixed. Thanks for a new package!

Comment 8 Gwyn Ciesla 2021-08-26 14:54:26 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/profanity

Comment 9 Fedora Update System 2021-09-25 13:25:23 UTC
FEDORA-2021-47d3449d43 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-47d3449d43

Comment 10 Fedora Update System 2021-09-26 00:57:52 UTC
FEDORA-2021-47d3449d43 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-47d3449d43 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-47d3449d43

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-09-30 00:52:27 UTC
FEDORA-2021-47d3449d43 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.